<template>
  <v-container fill-height>
    <v-row justify="center" align="center">
      <v-col cols="12">
        <!-- Date picker -->
        <v-menu
          ref="menu1"
          v-model="menu1"
          :close-on-content-click="false"
          transition="scale-transition"
          offset-y
        >
          <template v-slot:activator="{ on }">
            <v-text-field
              v-model="selected"
              @input="$emit('input', $event)"
              @blur="date = parseDate(valueDate)"
              v-on="on"
              label=""
              color="green lighten-1"
            />
          </template>
          <v-date-picker
            v-model="selected"
            @input="menu1 = false"
            no-title
            header-color="green lighten-1"
            color="green lighten-1"
          />
        </v-menu>
        <!-- end of date picker -->
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: "CustomDatePicker",
  props: {
    value: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      valueDate: this.value,
      menu1: null,
      date: null,
    };
  },

  computed: {
    selected: {
      get() {
        return this.valueDate;
      },
      set(valueDate) {
        this.$emit("input", valueDate);
      },
    },
    computedDateFormatted() {
      return this.formatDate(this.date);
    },
  },

  watch: {
    date() {
      this.valueDate = this.formatDate(this.date);
    },
  },
  methods: {
    formatDate(date) {
      if (!date) {
        return null;
      }
      return date;
    },
    parseDate(date) {
      if (!date) {
        return null;
      }
      console.log("FECHA que recibo");
      console.dir(date);
      const [year, month, day] = date.split("-");
      //return `${day}/${month}/${year}`;
      return `${day.padStart(2, "0")}-${month.padStart(2, "0")}-${year}`;
    },
  },
};
</script>
